import { ActionButtonsComponent } from '../../_components/infra/action-buttons/action-buttons.component';
import { AssignmentCardComponent } from '../../_components/infra/assignment-card/assignment-card.component';
import { AssignmentComponent } from '../../_components/infra/assignment/assignment.component';
import { DashboardFilterComponent } from '../../_components/infra/dashboard-filter/dashboard-filter.component';
import { DeferLoadComponent } from '../../_components/infra/defer-load/defer-load.component';
import { ErrorBoundaryComponent } from '../../_components/infra/error-boundary/error-boundary.component';
import { FlowContainerComponent } from '../../_components/infra/Containers/flow-container/flow-container.component';
import { ModalViewContainerComponent } from '../../_components/infra/Containers/modal-view-container/modal-view-container.component';
import { MultiStepComponent } from '../../_components/infra/multi-step/multi-step.component';
import { NavbarComponent } from '../../_components/infra/navbar/navbar.component';
import { ReferenceComponent } from '../../_components/infra/reference/reference.component';
import { RegionComponent } from '../../_components/infra/region/region.component';
import { RootContainerComponent } from '../../_components/infra/root-container/root-container.component';
import { StagesComponent } from '../../_components/infra/stages/stages.component';
import { SubTabsComponent } from '../../_components/template/sub-tabs/sub-tabs.component';
import { ViewComponent } from '../../_components/infra/view/view.component';
import { ViewContainerComponent } from '../../_components/infra/Containers/view-container/view-container.component';
import { AutoCompleteComponent } from '../../_components/field/auto-complete/auto-complete.component';
import { CancelAlertComponent } from '../../_components/field/cancel-alert/cancel-alert.component';
import { CheckBoxComponent } from '../../_components/field/check-box/check-box.component';
import { CurrencyComponent } from '../../_components/field/currency/currency.component';
import { DateComponent } from '../../_components/field/date/date.component';
import { DateTimeComponent } from '../../_components/field/date-time/date-time.component';
import { DecimalComponent } from '../../_components/field/decimal/decimal.component';
import { DropdownComponent } from '../../_components/field/dropdown/dropdown.component';
import { EmailComponent } from '../../_components/field/email/email.component';
import { GroupComponent } from '../../_components/field/group/group.component';
import { IntegerComponent } from '../../_components/field/integer/integer.component';
import { ListViewActionButtonsComponent } from '../../_components/field/list-view-action-buttons/list-view-action-buttons.component';
import { PercentageComponent } from '../../_components/field/percentage/percentage.component';
import { PhoneComponent } from '../../_components/field/phone/phone.component';
import { RadioButtonsComponent } from '../../_components/field/radio-buttons/radio-buttons.component';
import { SemanticLinkComponent } from '../../_components/field/semantic-link/semantic-link.component';
import { TextAreaComponent } from '../../_components/field/text-area/text-area.component';
import { TextComponent } from '../../_components/field/text/text.component';
import { TextContentComponent } from '../../_components/field/text-content/text-content.component';
import { TextInputComponent } from '../../_components/field/text-input/text-input.component';
import { TimeComponent } from '../../_components/field/time/time.component';
import { UrlComponent } from '../../_components/field/url/url.component';
import { UserReferenceComponent } from '../../_components/field/user-reference/user-reference.component';
import { ScalarListComponent } from '../../_components/field/scalar-list/scalar-list.component';
import { RichTextComponent } from '../../_components/field/rich-text/rich-text.component';
import { AppShellComponent } from '../../_components/template/app-shell/app-shell.component';
import { BannerPageComponent } from '../../_components/template/banner-page/banner-page.component';
import { CaseSummaryComponent } from '../../_components/template/case-summary/case-summary.component';
import { CaseViewComponent } from '../../_components/template/case-view/case-view.component';
import { ConfirmationComponent } from '../../_components/template/confirmation/confirmation.component';
import { DataReferenceComponent } from '../../_components/template/data-reference/data-reference.component';
import { DefaultFormComponent } from '../../_components/template/default-form/default-form.component';
import { DetailsComponent } from '../../_components/template/details/details.component';
import { DetailsNarrowWideComponent } from '../../_components/template/details-narrow-wide/details-narrow-wide.component';
import { DetailsOneColumnComponent } from '../../_components/template/details-one-column/details-one-column.component';
import { DetailsSubTabsComponent } from '../../_components/template/details-sub-tabs/details-sub-tabs.component';
import { DetailsThreeColumnComponent } from '../../_components/template/details-three-column/details-three-column.component';
import { DetailsTwoColumnComponent } from '../../_components/template/details-two-column/details-two-column.component';
import { DetailsWideNarrowComponent } from '../../_components/template/details-wide-narrow/details-wide-narrow.component';
import { DynamicTabsComponent } from '../../_components/template/dynamic-tabs/dynamic-tabs.component';
import { FieldGroupListComponent } from '../../_components/template/field-group-list/field-group-list.component';
import { FieldGroupTemplateComponent } from '../../_components/template/field-group-template/field-group-template.component';
import { FieldValueListComponent } from '../../_components/template/field-value-list/field-value-list.component';
import { InlineDashboardComponent } from '../../_components/template/inline-dashboard/inline-dashboard.component';
import { InlineDashboardPageComponent } from '../../_components/template/inline-dashboard-page/inline-dashboard-page.component';
import { ListPageComponent } from '../../_components/template/list-page/list-page.component';
import { ListViewComponent } from '../../_components/template/list-view/list-view.component';
import { MultiReferenceReadonlyComponent } from '../../_components/template/multi-reference-readonly/multi-reference-readonly.component';
import { MultiselectComponent } from '../../_components/field/multiselect/multiselect.component';
import { NarrowWideFormComponent } from '../../_components/template/narrow-wide-form/narrow-wide-form.component';
import { OneColumnComponent } from '../../_components/template/one-column/one-column.component';
import { OneColumnPageComponent } from '../../_components/template/one-column-page/one-column-page.component';
import { OneColumnTabComponent } from '../../_components/template/one-column-tab/one-column-tab.component';
import { PageComponent } from '../../_components/template/page/page.component';
import { PromotedFiltersComponent } from '../../_components/template/promoted-filters/promoted-filters.component';
import { SimpleTableComponent } from '../../_components/template/simple-table/simple-table.component';
import { SimpleTableManualComponent } from '../../_components/template/simple-table-manual/simple-table-manual.component';
import { SimpleTableSelectComponent } from '../../_components/template/simple-table-select/simple-table-select.component';
import { SingleReferenceReadonlyComponent } from '../../_components/template/single-reference-readonly/single-reference-readonly.component';
import { ThreeColumnComponent } from '../../_components/template/three-column/three-column.component';
import { ThreeColumnPageComponent } from '../../_components/template/three-column-page/three-column-page.component';
import { TwoColumnComponent } from '../../_components/template/two-column/two-column.component';
import { TwoColumnPageComponent } from '../../_components/template/two-column-page/two-column-page.component';
import { TwoColumnTabComponent } from '../../_components/template/two-column-tab/two-column-tab.component';
import { WideNarrowFormComponent } from '../../_components/template/wide-narrow-form/wide-narrow-form.component';
import { WideNarrowPageComponent } from '../../_components/template/wide-narrow-page/wide-narrow-page.component';
import { WssNavBarComponent } from '../../_components/template/wss-nav-bar/wss-nav-bar.component';
import { AppAnnouncementComponent } from '../../_components/widget/app-announcement/app-announcement.component';
import { AttachmentComponent } from '../../_components/widget/attachment/attachment.component';
import { CaseHistoryComponent } from '../../_components/widget/case-history/case-history.component';
import { FileUtilityComponent } from '../../_components/widget/file-utility/file-utility.component';
import { FeedContainerComponent } from '../../_components/widget/feed-container/feed-container.component';
import { ListUtilityComponent } from '../../_components/widget/list-utility/list-utility.component';
import { QuickCreateComponent } from '../../_components/widget/quick-create/quick-create.component';
import { TodoComponent } from '../../_components/widget/todo/todo.component';
import { AlertBannerComponent } from '../../_components/designSystemExtension/alert-banner/alert-banner.component';
import { AlertComponent } from '../../_components/designSystemExtension/alert/alert.component';
import { BannerComponent } from '../../_components/designSystemExtension/banner/banner.component';
import { CaseCreateStageComponent } from '../../_components/designSystemExtension/case-create-stage/case-create-stage.component';
import { FieldGroupComponent } from '../../_components/designSystemExtension/field-group/field-group.component';
import { MaterialCaseSummaryComponent } from '../../_components/designSystemExtension/material-case-summary/material-case-summary.component';
import { MaterialDetailsComponent } from '../../_components/designSystemExtension/material-details/material-details.component';
import { MaterialDetailsFieldsComponent } from '../../_components/designSystemExtension/material-details-fields/material-details-fields.component';
import { MaterialSummaryItemComponent } from '../../_components/designSystemExtension/material-summary-item/material-summary-item.component';
import { MaterialSummaryListComponent } from '../../_components/designSystemExtension/material-summary-list/material-summary-list.component';
import { MaterialUtilityComponent } from '../../_components/designSystemExtension/material-utility/material-utility.component';
import { MaterialVerticalTabsComponent } from '../../_components/designSystemExtension/material-vertical-tabs/material-vertical-tabs.component';
import { OperatorComponent } from '../../_components/designSystemExtension/operator/operator.component';
import { PulseComponent } from '../../_components/designSystemExtension/pulse/pulse.component';
import { RichTextEditorComponent } from '../../_components/designSystemExtension/rich-text-editor/rich-text-editor.component';
import { WssQuickCreateComponent } from '../../_components/designSystemExtension/wss-quick-create/wss-quick-create.component';
declare const pegaSdkComponentMap: {
    ActionButtons: typeof ActionButtonsComponent;
    Alert: typeof AlertComponent;
    AlertBanner: typeof AlertBannerComponent;
    AppAnnouncement: typeof AppAnnouncementComponent;
    AppShell: typeof AppShellComponent;
    Assignment: typeof AssignmentComponent;
    AssignmentCard: typeof AssignmentCardComponent;
    Attachment: typeof AttachmentComponent;
    AutoComplete: typeof AutoCompleteComponent;
    Banner: typeof BannerComponent;
    BannerPage: typeof BannerPageComponent;
    CancelAlert: typeof CancelAlertComponent;
    CaseCreateStage: typeof CaseCreateStageComponent;
    CaseHistory: typeof CaseHistoryComponent;
    CaseSummary: typeof CaseSummaryComponent;
    CaseSummaryFields: typeof MaterialCaseSummaryComponent;
    CaseView: typeof CaseViewComponent;
    Checkbox: typeof CheckBoxComponent;
    Confirmation: typeof ConfirmationComponent;
    Currency: typeof CurrencyComponent;
    DashboardFilter: typeof DashboardFilterComponent;
    DataReference: typeof DataReferenceComponent;
    Date: typeof DateComponent;
    DateTime: typeof DateTimeComponent;
    Decimal: typeof DecimalComponent;
    DefaultForm: typeof DefaultFormComponent;
    DeferLoad: typeof DeferLoadComponent;
    Details: typeof DetailsComponent;
    DetailsFields: typeof MaterialDetailsFieldsComponent;
    DetailsOneColumn: typeof DetailsOneColumnComponent;
    DetailsSubTabs: typeof DetailsSubTabsComponent;
    DetailsThreeColumn: typeof DetailsThreeColumnComponent;
    DetailsTwoColumn: typeof DetailsTwoColumnComponent;
    Dropdown: typeof DropdownComponent;
    DynamicTabs: typeof DynamicTabsComponent;
    Email: typeof EmailComponent;
    ErrorBoundary: typeof ErrorBoundaryComponent;
    FeedContainer: typeof FeedContainerComponent;
    FieldGroup: typeof FieldGroupComponent;
    FieldGroupList: typeof FieldGroupListComponent;
    FieldGroupTemplate: typeof FieldGroupTemplateComponent;
    FieldValueList: typeof FieldValueListComponent;
    FileUtility: typeof FileUtilityComponent;
    FlowContainer: typeof FlowContainerComponent;
    Group: typeof GroupComponent;
    InlineDashboard: typeof InlineDashboardComponent;
    InlineDashboardPage: typeof InlineDashboardPageComponent;
    Integer: typeof IntegerComponent;
    ListPage: typeof ListPageComponent;
    ListUtility: typeof ListUtilityComponent;
    ListView: typeof ListViewComponent;
    ListViewActionButtons: typeof ListViewActionButtonsComponent;
    MaterialDetails: typeof MaterialDetailsComponent;
    MaterialUtility: typeof MaterialUtilityComponent;
    ModalViewContainer: typeof ModalViewContainerComponent;
    MultiReferenceReadOnly: typeof MultiReferenceReadonlyComponent;
    Multiselect: typeof MultiselectComponent;
    MultiStep: typeof MultiStepComponent;
    NarrowWideDetails: typeof DetailsNarrowWideComponent;
    NarrowWideForm: typeof NarrowWideFormComponent;
    NavBar: typeof NavbarComponent;
    OneColumn: typeof OneColumnComponent;
    OneColumnPage: typeof OneColumnPageComponent;
    OneColumnTab: typeof OneColumnTabComponent;
    Operator: typeof OperatorComponent;
    Page: typeof PageComponent;
    Percentage: typeof PercentageComponent;
    Phone: typeof PhoneComponent;
    PromotedFilters: typeof PromotedFiltersComponent;
    Pulse: typeof PulseComponent;
    QuickCreate: typeof QuickCreateComponent;
    reference: typeof ReferenceComponent;
    RadioButtons: typeof RadioButtonsComponent;
    Region: typeof RegionComponent;
    RichText: typeof RichTextComponent;
    RichTextEditor: typeof RichTextEditorComponent;
    RootContainer: typeof RootContainerComponent;
    ScalarList: typeof ScalarListComponent;
    SemanticLink: typeof SemanticLinkComponent;
    SimpleTable: typeof SimpleTableComponent;
    SimpleTableManual: typeof SimpleTableManualComponent;
    SimpleTableSelect: typeof SimpleTableSelectComponent;
    SingleReferenceReadOnly: typeof SingleReferenceReadonlyComponent;
    Stages: typeof StagesComponent;
    SubTabs: typeof SubTabsComponent;
    SummaryItem: typeof MaterialSummaryItemComponent;
    SummaryList: typeof MaterialSummaryListComponent;
    Text: typeof TextComponent;
    TextArea: typeof TextAreaComponent;
    TextContent: typeof TextContentComponent;
    TextInput: typeof TextInputComponent;
    ThreeColumn: typeof ThreeColumnComponent;
    ThreeColumnPage: typeof ThreeColumnPageComponent;
    Time: typeof TimeComponent;
    Todo: typeof TodoComponent;
    TwoColumn: typeof TwoColumnComponent;
    TwoColumnPage: typeof TwoColumnPageComponent;
    TwoColumnTab: typeof TwoColumnTabComponent;
    URL: typeof UrlComponent;
    UserReference: typeof UserReferenceComponent;
    VerticalTabs: typeof MaterialVerticalTabsComponent;
    View: typeof ViewComponent;
    ViewContainer: typeof ViewContainerComponent;
    WideNarrowDetails: typeof DetailsWideNarrowComponent;
    WideNarrowForm: typeof WideNarrowFormComponent;
    WideNarrowPage: typeof WideNarrowPageComponent;
    WssNavBar: typeof WssNavBarComponent;
    WssQuickCreate: typeof WssQuickCreateComponent;
};
export default pegaSdkComponentMap;
