/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, NgZone, OnDestroy } from '@angular/core';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { ProgressSpinnerService } from '../../../_messages/progress-spinner.service';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface NavBarProps {
    showAppName?: boolean;
}
export declare class NavbarComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private chRef;
    private psService;
    private ngZone;
    private utils;
    pConn$: typeof PConnect;
    appName$: string;
    pages$: any[];
    caseTypes$: any[];
    angularPConnectData: AngularPConnectData;
    configProps$: NavBarProps;
    navPages$: any[];
    navExpandCollapse$: string;
    bShowCaseTypes$: boolean;
    portalApp$: string;
    portalLogoImage$: string;
    showAppName$?: boolean;
    portalOperator$: string;
    portalOperatorInitials$: string;
    actionsAPI: any;
    createWork: any;
    showPage: any;
    logout: any;
    navIcon$: string;
    localizedVal: any;
    localeCategory: string;
    localeUtils: import("@pega/pcore-pconnect-typedefs/locale/locale-utils").LocaleUtils;
    localeReference: any;
    constructor(angularPConnect: AngularPConnectService, chRef: ChangeDetectorRef, psService: ProgressSpinnerService, ngZone: NgZone, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadImage(src: string): Promise<unknown>;
    onStateChange(): void;
    updateSelf(): void;
    initComponent(): void;
    navPanelButtonClick(oPageData: any): void;
    navPanelCreateButtonClick(): void;
    navPanelCreateCaseType(sCaseType: string, sFlowType: string): void;
    navPanelLogoutClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavbarComponent, "app-navbar", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "appName$": { "alias": "appName$"; "required": false; }; "pages$": { "alias": "pages$"; "required": false; }; "caseTypes$": { "alias": "caseTypes$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
