/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, SimpleChanges, OnDestroy, OnChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface ViewProps {
    template?: string;
    label?: string;
    showLabel: boolean;
    title?: string;
    visibility?: boolean;
}
export declare class ViewComponent implements OnInit, OnDestroy, OnChanges {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    displayOnlyFA$: boolean;
    angularPConnectData: AngularPConnectData;
    configProps$: ViewProps;
    inheritedProps$: any;
    arChildren$: any[];
    templateName$: string;
    title$: string;
    label$: string;
    showLabel$: boolean;
    visibility$: boolean;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateSelf(): void;
    additionalProps(state: any, getPConnect: any): {};
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ViewComponent, "app-view", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; "displayOnlyFA$": { "alias": "displayOnlyFA$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
