/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy, OnChanges } from '@angular/core';
import { publicConstants } from '@pega/pcore-pconnect-typedefs/constants';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
export declare class DeferLoadComponent implements OnInit, OnDestroy, OnChanges {
    private angularPConnect;
    pConn$: typeof PConnect;
    loadData$: any;
    name: any;
    componentName$: string;
    loadedPConn$: any;
    bShowDefer$: boolean;
    angularPConnectData: AngularPConnectData;
    constants: typeof publicConstants;
    currentLoadedAssignment: string;
    isContainerPreview: boolean;
    loadViewCaseID: any;
    resourceType: any;
    deferLoadId: any;
    containerName: any;
    CASE: any;
    PAGE: any;
    DATA: any;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    ngOnChanges(): void;
    getViewOptions: () => {
        viewContext: any;
        pageClass: any;
        container: string | null;
        containerName: string | null;
        updateData: boolean;
    };
    onResponse(data: any): void;
    loadActiveTab(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeferLoadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeferLoadComponent, "app-defer-load", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "loadData$": { "alias": "loadData$"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, {}, never, never, true, never>;
}
