/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy, OnChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface FieldGroupTemplateProps {
    label?: string;
    showLabel?: boolean;
    referenceList?: any[];
    contextClass: string;
    renderMode?: string;
    heading?: string;
    lookForChildInConfig?: boolean;
    displayMode?: string;
    fieldHeader?: string;
    allowTableEdit: boolean;
}
export declare class FieldGroupTemplateComponent implements OnInit, OnDestroy, OnChanges {
    private angularPConnect;
    private utils;
    configProps$: FieldGroupTemplateProps;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    inheritedProps$: object;
    showLabel$?: boolean;
    label$?: string;
    readonlyMode: boolean;
    contextClass: any;
    referenceList: any;
    pageReference: any;
    heading: any;
    children: any;
    menuIconOverride$: any;
    prevRefLength: number;
    allowAddEdit: boolean;
    fieldHeader: any;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    ngOnChanges(changes: any): void;
    updateSelf(): void;
    getStaticHeader: (heading: any, index: any) => string;
    getDynamicHeader: (item: any, index: any) => any;
    addFieldGroupItem(): void;
    deleteFieldGroupItem(index: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FieldGroupTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FieldGroupTemplateComponent, "app-field-group-template", never, { "configProps$": { "alias": "configProps$"; "required": false; }; "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
