import * as i0 from "@angular/core";
export declare class TemplateUtils {
    /**
     * Determine if the current view is the view of the case step/assignment.
     * @param {Function} pConnect PConnect object for the component
     */
    getIsAssignmentView(pConnect: any): boolean;
    /**
     * A hook that gets the instructions content for a view.
     * @param {Function} pConnect PConnect object for the component
     * @param {string} [instructions="casestep"] 'casestep', 'none', or the html content of a Rule-UI-Paragraph rule (processed via core's paragraph annotation handler)
     */
    getInstructions(pConnect: any, instructions?: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateUtils, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TemplateUtils>;
}
